package com.vladstepaniuk.tour.payload.request;

import org.hibernate.validator.constraints.Range;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

public class TourCreateRequest {
    @NotBlank
    @Size(min=3, max=100)
    private String title;

    @NotBlank
    @Size(min=3)
    private String description;

    @NotBlank
    @Size(min=3)
    private String place;

    private int price;

    @Range(min=3, max = 500)
    private int inStock;

    @NotBlank
    private String file;

    public String getFile() {
        return file;
    }

    public void setFile(String file) {
        this.file = file;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getPlace() {
        return place;
    }

    public void setPlace(String place) {
        this.place = place;
    }

    public int getPrice() {
        return price;
    }

    public void setPrice(int price) {
        this.price = price;
    }

    public int getInStock() {
        return inStock;
    }

    public void setInStock(int inStock) {
        this.inStock = inStock;
    }


}
